Upstream information

CVE-2018-6307 at MITRE

Description

LibVNC before commit ca2a5ac02fbbadd0a21fabba779c1ea69173d10b contains heap use-after-free vulnerability in server code of file transfer extension that can result remote code execution.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 9.8
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity High Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1120115 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-Storage-4-2019-60
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • LibVNCServer-devel >= 0.9.1-160.6.1
Patchnames:
sdksp4-LibVNCServer-13927
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • LibVNCServer-devel >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-60
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • LibVNCServer-devel >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-60
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Workstation Extension 15 SP1
  • libvncclient0 >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP1 GA LibVNCServer-0.9.10-4.9.1
SUSE Linux Enterprise Workstation Extension 15 SP1 GA libvncclient0-0.9.10-4.9.1
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Workstation Extension 15 SP2
  • libvncclient0 >= 0.9.10-4.3.1
  • libvncserver0 >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP2 GA LibVNCServer-0.9.10-4.14.1
SUSE Linux Enterprise Workstation Extension 15 SP2 GA libvncclient0-0.9.10-4.14.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Workstation Extension 15 SP3
  • libvncclient0 >= 0.9.10-4.3.1
  • libvncserver0 >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP3 GA LibVNCServer-0.9.10-4.25.1
SUSE Linux Enterprise Workstation Extension 15 SP3 GA libvncclient0-0.9.10-4.25.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Linux Enterprise Workstation Extension 15 SP4
  • libvncclient1 >= 0.9.13-150400.1.9
  • libvncserver1 >= 0.9.13-150400.1.9
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP4 GA libvncclient1-0.9.13-150400.1.9
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
SUSE Linux Enterprise Workstation Extension 15
  • libvncclient0 >= 0.9.10-4.3.1
Patchnames:
SUSE-SLE-Product-WE-15-2019-80
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libvncclient0 >= 0.9.9-17.14.1
  • libvncserver0 >= 0.9.9-17.14.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libvncclient0-0.9.9-17.14.1
SUSE Linux Enterprise Module for Package Hub 15 SP1
  • LibVNCServer-devel >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP1 GA LibVNCServer-0.9.10-4.9.1
SUSE Linux Enterprise Module for Package Hub 15 SP2
  • libvncserver0 >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP2 GA LibVNCServer-0.9.10-4.14.1
SUSE Linux Enterprise Module for Package Hub 15 SP3
  • libvncserver0 >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP3 GA LibVNCServer-0.9.10-4.25.1
SUSE Linux Enterprise Module for Package Hub 15 SP4
  • libvncserver0 >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP4 GA LibVNCServer-0.9.10-4.25.1
SUSE Linux Enterprise Module for Package Hub 15 SP5
  • libvncserver0 >= 0.9.10-4.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP5 GA LibVNCServer-0.9.10-150000.4.32.3
SUSE Linux Enterprise Module for Package Hub 15
  • libvncserver0 >= 0.9.10-4.3.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-2019-80
SUSE Linux Enterprise Point of Sale 11 SP3
  • LibVNCServer >= 0.9.1-160.6.1
Patchnames:
sleposp3-LibVNCServer-13927
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-60
SUSE Linux Enterprise Server 11 SP3-LTSS
  • LibVNCServer >= 0.9.1-160.6.1
Patchnames:
slessp3-LibVNCServer-13927
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • LibVNCServer >= 0.9.1-160.6.1
  • LibVNCServer-devel >= 0.9.1-160.6.1
Patchnames:
sdksp4-LibVNCServer-13927
slessp4-LibVNCServer-13927
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-60
SUSE Linux Enterprise Server 12 SP2-BCL
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-60
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-60
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-60
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • LibVNCServer-devel >= 0.9.9-17.8.1
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-60
SUSE-SLE-SERVER-12-SP3-2019-60
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • LibVNCServer-devel >= 0.9.9-17.8.1
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-60
SUSE-SLE-SERVER-12-SP4-2019-60
SUSE Linux Enterprise Server 12 SP5
  • LibVNCServer-devel >= 0.9.9-17.8.1
  • libvncclient0 >= 0.9.9-17.14.1
  • libvncserver0 >= 0.9.9-17.14.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libvncclient0-0.9.9-17.14.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA LibVNCServer-0.9.9-17.14.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA LibVNCServer-devel-0.9.9-17.14.1
SUSE Linux Enterprise Server 12-LTSS
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SERVER-12-2019-60
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-60
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-60
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • LibVNCServer-devel >= 0.9.9-17.8.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA LibVNCServer-0.9.9-17.14.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA LibVNCServer-devel-0.9.9-17.14.1
SUSE OpenStack Cloud 7
  • libvncclient0 >= 0.9.9-17.8.1
  • libvncserver0 >= 0.9.9-17.8.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-60
openSUSE Leap 15.0
  • LibVNCServer-devel >= 0.9.10-lp150.3.3.1
  • libvncclient0 >= 0.9.10-lp150.3.3.1
  • libvncserver0 >= 0.9.10-lp150.3.3.1
Patchnames:
openSUSE-2019-53
openSUSE Leap 15.2
  • libvncclient0 >= 0.9.10-lp152.8.2
Patchnames:
openSUSE Leap 15.2 GA libvncclient0-0.9.10-lp152.8.1
openSUSE Leap 15.3
  • libvncclient0 >= 0.9.10-bp153.2.18
Patchnames:
openSUSE Leap 15.3 GA libvncclient0-0.9.10-4.25.1
openSUSE Leap 15.4
  • libvncclient1 >= 0.9.13-150400.1.9
  • libvncserver1 >= 0.9.13-150400.1.9
Patchnames:
openSUSE Leap 15.4 GA libvncclient1-0.9.13-150400.1.9
openSUSE Tumbleweed
  • LibVNCServer-devel >= 0.9.13-3.1
  • libvncclient1 >= 0.9.13-3.1
  • libvncserver1 >= 0.9.13-3.1
Patchnames:
openSUSE Tumbleweed GA LibVNCServer-devel-0.9.13-3.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Desktop 15 SP5 LibVNCServer Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 LibVNCServer Affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 LibVNCServer Released
SUSE Linux Enterprise Server 12 SP5 LibVNCServer Released
SUSE Linux Enterprise Server 12-LTSS LibVNCServer Released
SUSE Linux Enterprise Server 15 SP5 LibVNCServer Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 LibVNCServer Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 LibVNCServer Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 LibVNCServer Released
SUSE Linux Enterprise Workstation Extension 15 SP5 LibVNCServer Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 LibVNCServer Already fixed
SUSE Linux Enterprise Server 15 SP2 LibVNCServer Released
SUSE Linux Enterprise Server 15 SP3 LibVNCServer Released
SUSE Linux Enterprise Server 15 SP4 LibVNCServer Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 LibVNCServer Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 LibVNCServer Affected
SLES for SAP Applications 11 SP3 LibVNCServer Unsupported
SUSE Enterprise Storage 4 LibVNCServer Released
SUSE Linux Enterprise Desktop 11 SP4 LibVNCServer Released
SUSE Linux Enterprise Desktop 12 LibVNCServer Affected
SUSE Linux Enterprise Desktop 12 SP1 LibVNCServer Affected
SUSE Linux Enterprise Desktop 12 SP2 LibVNCServer Affected
SUSE Linux Enterprise Desktop 12 SP3 LibVNCServer Released
SUSE Linux Enterprise Desktop 12 SP4 LibVNCServer Released
SUSE Linux Enterprise Desktop 15 LibVNCServer Released
SUSE Linux Enterprise Desktop 15 SP1 LibVNCServer Released
SUSE Linux Enterprise Desktop 15 SP2 LibVNCServer Released
SUSE Linux Enterprise Desktop 15 SP3 LibVNCServer Released
SUSE Linux Enterprise High Performance Computing 12 SP4 LibVNCServer Released
SUSE Linux Enterprise Module for Package Hub 15 LibVNCServer Released
SUSE Linux Enterprise Module for Package Hub 15 SP1 LibVNCServer Released
SUSE Linux Enterprise Module for Package Hub 15 SP2 LibVNCServer Released
SUSE Linux Enterprise Module for Package Hub 15 SP3 LibVNCServer Released
SUSE Linux Enterprise Module for Package Hub 15 SP4 LibVNCServer Released
SUSE Linux Enterprise Point of Sale 11 SP3 LibVNCServer Released
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT LibVNCServer Released
SUSE Linux Enterprise Point of Service 11 SP3 LibVNCServer Released
SUSE Linux Enterprise Server 11 SP3 LibVNCServer Affected
SUSE Linux Enterprise Server 11 SP3 LTSS LibVNCServer Released
SUSE Linux Enterprise Server 11 SP3-LTSS LibVNCServer Released
SUSE Linux Enterprise Server 11 SP4 LibVNCServer Released
SUSE Linux Enterprise Server 11 SP4 LTSS LibVNCServer Released
SUSE Linux Enterprise Server 11 SP4-LTSS LibVNCServer Released
SUSE Linux Enterprise Server 12 LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP1 LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP1-LTSS LibVNCServer Released
SUSE Linux Enterprise Server 12 SP2 LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP2-BCL LibVNCServer Released
SUSE Linux Enterprise Server 12 SP2-ESPOS LibVNCServer Released
SUSE Linux Enterprise Server 12 SP2-LTSS LibVNCServer Released
SUSE Linux Enterprise Server 12 SP3 LibVNCServer Released
SUSE Linux Enterprise Server 12 SP3-BCL LibVNCServer Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS LibVNCServer Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS LibVNCServer Unsupported
SUSE Linux Enterprise Server 12 SP4 LibVNCServer Released
SUSE Linux Enterprise Server 12 SP4-ESPOS LibVNCServer Affected
SUSE Linux Enterprise Server 12 SP4-LTSS LibVNCServer Affected
SUSE Linux Enterprise Server 15 LibVNCServer Released
SUSE Linux Enterprise Server 15 SP1 LibVNCServer Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 LibVNCServer Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 12 LibVNCServer Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 LibVNCServer Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 LibVNCServer Released
SUSE Linux Enterprise Software Development Kit 11 SP4 LibVNCServer Released
SUSE Linux Enterprise Software Development Kit 12 LibVNCServer Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 LibVNCServer Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 LibVNCServer Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 LibVNCServer Released
SUSE Linux Enterprise Software Development Kit 12 SP4 LibVNCServer Released
SUSE Linux Enterprise Workstation Extension 15 LibVNCServer Released
SUSE Linux Enterprise Workstation Extension 15 SP1 LibVNCServer Released
SUSE Linux Enterprise Workstation Extension 15 SP2 LibVNCServer Released
SUSE Linux Enterprise Workstation Extension 15 SP3 LibVNCServer Released
SUSE Linux Enterprise Workstation Extension 15 SP4 LibVNCServer Already fixed
SUSE OpenStack Cloud 7 LibVNCServer Released
SUSE OpenStack Cloud 8 LibVNCServer Affected
SUSE OpenStack Cloud 9 LibVNCServer Affected
SUSE OpenStack Cloud Crowbar 8 LibVNCServer Affected
SUSE OpenStack Cloud Crowbar 9 LibVNCServer Affected


SUSE Timeline for this CVE

CVE page created: Thu Dec 20 06:34:47 2018
CVE page last modified: Fri Apr 12 11:30:42 2024